Get the list of layouts available for the respective LayoutType
post
/fscmRestApi/resources/11.13.18.05/supplierNegotiationTemplates/action/BIPLayoutLOV
Gets the list of layouts for the LayoutType.
Request
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
LayoutType: string
Values used to get available layouts. Required attribute is LayoutType.
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): array
result
If the request is successful, this action returns a list of layouts available for the provided LayoutType.
Nested Schema : result
Type:
arrayIf the request is successful, this action returns a list of layouts available for the provided LayoutType.
Show Source
Examples
This example describes how to get the list of layouts for the Layout Type.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/ supplierNegotiationTemplates/action/BIPLayoutLOV"
For example:
curl -u username:password "https://servername/fscmRestApi/resources/version/ supplierNegotiationTemplates/action/BIPLayoutLOV"
Example Request Body
The following example includes the contents of the response body
in JSON format:
{
"LayoutType": "SAMPLE_CODE"
}Example Response Body
{
"result": [
"SUCCESS"
]
}